Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.addressbook
Class EmailInfo

    java.lang.Object
      portlets.compoze.groupware.addressbook.EmailInfo

All Implemented Interfaces:
  java.io.Serializable

public class EmailInfo
extends java.lang.Object
implements java.io.Serializable

This class represents the email information for a contact.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `EmailInfo.EmailType` This class represents the email type.

Constructor Summary
`EmailInfo()` Constructor.
`EmailInfo(java.lang.String sEmail, EmailInfo.EmailType emailType)` Constructor.
`EmailInfo(java.lang.String sEmail, java.lang.String sEmailDisplay, EmailInfo.EmailType emailType)` Constructor.

Method Summary
`java.lang.String` | `getEmail()` Gets the email address.
`java.lang.String` | `getEmailDisplay()` Gets the email display.
`EmailInfo.EmailType` | `getEmailType()` Gets the type of the email.
`void` | `setEmail(java.lang.String sEmail)` Sets the email address.
`void` | `setEmailDisplay(java.lang.String sEmailDisplay)` Sets the email display.
`void` | `setEmailType(EmailInfo.EmailType emailType)` Sets the type of the email.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmailInfo

    public EmailInfo()

  Constructor.

### EmailInfo

    public EmailInfo(java.lang.String sEmail,
                     EmailInfo.EmailType emailType)

  Constructor.

Parameters:
  `sEmail` - the email address
  `emailType` - the email type

### EmailInfo

    public EmailInfo(java.lang.String sEmail,
                     java.lang.String sEmailDisplay,
                     EmailInfo.EmailType emailType)

  Constructor.

Parameters:
  `sEmail` - the email address
  `sEmailDisplay` - the email display
  `emailType` - the email type

Method Detail

### getEmail

    public java.lang.String getEmail()

  Gets the email address.

  Returns:
    the email address

### setEmail

    public void setEmail(java.lang.String sEmail)

  Sets the email address.

  Parameters:
    `sEmail` - the email address

### getEmailDisplay

    public java.lang.String getEmailDisplay()

  Gets the email display.

  Returns:
    the email display

### setEmailDisplay

    public void setEmailDisplay(java.lang.String sEmailDisplay)

  Sets the email display.

  Parameters:
    `sEmailDisplay` - the email display

### getEmailType

    public EmailInfo.EmailType getEmailType()

  Gets the type of the email.

  Returns:
    the email type

### setEmailType

    public void setEmailType(EmailInfo.EmailType emailType)

  Sets the type of the email.

  Parameters:
    `emailType` - the email type (may not be `null`)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.